# Mattermost

Mattermost is an open source, self-hosted Slack-alternative. 

We offer workplace messaging from behind your firewall. Your users can securely share messages and files across PCs and phones with continuous archiving and instant search while integrating with dozens of popular and custom tools. 

- See [product documentation](http://docs.mattermost.com/) for full details. 
- Learn more about the project at [https://mattermost.org](https://mattermost.org). 
- Download now from [https://mattermost.org/download](https://mattermost.org/download).

Mattermost installs as a single Linux binary under an MIT license. It's written in Go and React. 

Get the Latest News: 

- **Twitter** - Follow [MattermostHQ](https://twitter.com/mattermosthq) on Twitter for the latest updates.   
- **Email** - Subscribe to our [newsletter for announcements](http://mattermost.us11.list-manage.com/subscribe?u=6cdba22349ae374e188e7ab8e&id=2add1c8034) (1 or 2 per month).  
- **IRC** - Connect with us on IRC Freenode at #matterbridge (thanks to the [matterircd](https://github.com/42wim/matterircd) project).
- **Mattermost** - Join us on [our nightly builds server running Mattermost off master](https://pre-release.mattermost.com/core/channels/ux-design).  

Get Started: 

- **Feature List** - Review [product features and documentation](http://docs.mattermost.com/administration/overview-tech.html)
- **Try out Mattermost** - See [official install guides and community supported installers](http://www.mattermost.org/installation/)
- **3rd Party Integrations** - Review and install [Mattermost Community Applications](http://www.mattermost.org/community-applications/)
- **Requirements** - Get guidance on [software and hardware requirements](http://docs.mattermost.com/install/requirements.html)
- **Deployment Overview** - Check out how Mattermost is [deployed and configured](http://docs.mattermost.com/deployment/deployment.html)
 
If you use Docker, try [a single-line install](http://docs.mattermost.com/install/docker-local-machine.html#one-line-docker-install).    

Get Involved:

- **Contribute Code** - Find [open tickets and submit pull requests](http://docs.mattermost.com/developer/contribution-guide.html)
- **File Bugs** - Search for existing bugs and [file a GitHub issue if your bug is new](http://www.mattermost.org/filing-issues/) 
- **Share Feature Ideas** - Add a [feature idea to be discussed or upvoted](http://www.mattermost.org/feature-requests/)
- **Get Troubleshooting Help** - Search articles and [add a topic if issue is new](https://forum.mattermost.org/t/how-to-use-the-troubleshooting-forum/150)  
- **Enter General Discussion** - Join the [Mattermost Forum](https://forum.mattermost.org/t/welcome-to-the-mattermost-general-forum/8)   
- **Release a Mattermost Application or Installer** - Let us [know about your work](http://www.mattermost.org/community-applications/) so we can promote it.  

Learn More: 

- **Product Vision** - Read our [project purpose and vision](http://www.mattermost.org/vision/).  
- **End User Help** - View our [guide for new users to Mattermost](http://docs.mattermost.com/help/getting-started/signing-in.html).  
- **Install Guides** - See [step-by-step setup on Ubuntu, RHEL/Oracle Linux/CentOS, Debian, plus Docker for preview](http://docs.mattermost.com/install/requirements.html)
- **Deployment Guide** - Review [Mattermost components and deployment on a single-machine or cluster](http://docs.mattermost.com/deployment/deployment.html).  
- **Developer Guide** - Learn [how developers can extend Mattermost](http://docs.mattermost.com/developer/developer-setup.html).  
- **API Options** - Underestand API options via [webhooks, slash commands, drivers and RESTful Web Service](http://docs.mattermost.com/developer/api.html).
- **Localization Guide** - Learn [how Mattermost supports different languages](http://docs.mattermost.com/developer/localization.html).  

Any other questions, mail us at info@mattermost.com. We’d love to meet you!

[![Build Status](https://travis-ci.org/mattermost/platform.svg?branch=master)](https://travis-ci.org/mattermost/platform)
